package actual;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Panel;
import java.awt.image.ImageObserver;

public class DoubleBufferPanel extends Panel {
   Image offscreen;

   public void invalidate() {
      super.invalidate();
      this.offscreen = null;
   }

   public void update(Graphics var1) {
      this.paint(var1);
   }

   public void paint(Graphics var1) {
      if (this.offscreen == null) {
         this.offscreen = ((Component)this).createImage(((Component)this).getSize().width, ((Component)this).getSize().height);
      }

      Graphics var2 = this.offscreen.getGraphics();
      var2.setClip(0, 0, ((Component)this).getSize().width, ((Component)this).getSize().height);
      super.paint(var2);
      var1.drawImage(this.offscreen, 0, 0, (ImageObserver)null);
      var2.dispose();
   }
}
